## com.lowagie.text
Class BadElementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.lowagie.text.DocumentException
                  com.lowagie.text.BadElementException

All Implemented Interfaces:
  Serializable

public class BadElementException
extends DocumentException

Signals an attempt to create an `Element` that hasn't got the right form.

See Also:
  `DocumentException`, `Cell`, `Table`, Serialized Form

Field Summary

Fields inherited from class com.lowagie.text.DocumentException
``

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`(package private)` `BadElementException()` Constructs a `BadElementException` whithout a message.
`` `BadElementException(Exception ex)` Constructs a BadElementException
`` `BadElementException(String message)` Constructs a `BadElementException` with a message.

Methods inherited from class com.lowagie.text.DocumentException
`getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadElementException

    public BadElementException(Exception ex)

  Constructs a BadElementException

Parameters:
  `ex` - an Exception object that has to be turned into a BadElementException

### BadElementException

    BadElementException()

  Constructs a `BadElementException` whithout a message.

### BadElementException

    public BadElementException(String message)

  Constructs a `BadElementException` with a message.

Parameters:
  `message` - a message describing the exception